## org.apache.mahout.cf.taste.impl.recommender.svd
Interface PersistenceStrategy

All Known Implementing Classes:
  FilePersistenceStrategy, NoPersistenceStrategy

    public interface PersistenceStrategy

Provides storage for `Factorization`s

Method Summary
`Factorization` `load()` Load a factorization from a persistent store.
`void` `maybePersist(Factorization factorization)` Write a factorization to a persistent store unless it already contains an identical factorization.

Method Detail

### load

    Factorization load()
                       throws IOException

  Load a factorization from a persistent store.

  Returns:
    a Factorization or null if the persistent store is empty.
  Throws:
    `IOException`

### maybePersist

    void maybePersist(Factorization factorization)
                      throws IOException

  Write a factorization to a persistent store unless it already contains an identical factorization.

  Parameters:
    `factorization` -
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.